use base 'basetest';
use strict;
use testapi;
use altutils;
use sudo;
use tty_console;
use virtual_console;
use x11_console;
use lockapi;
use mmapi;

sub run {
    check_boot;
    select_root_virtual_terminal;
    assert_script_run('echo "тест" > test');
    assert_script_run('echo "тест" > тест');
    assert_script_run('cat test');
    assert_script_run('cat тест');
    wait_serial('тест');
    virtual_terminal_reboot;
}

sub test_flags {
	return {fatal => 1};
}

1;